### Method

# EBook BookClientView dup_contacts

since: 3.50

#### Declaration [src]

    void
    e_book_client_view_dup_contacts (
      EBookClientView* self,
      guint range_start,
      guint range_length,
      GCancellable* cancellable,
      GAsyncReadyCallback cb,
      gpointer user_data
    )

#### Description [src]

Asynchronously reads `range_length` contacts from index `range_start`. When there are asked more than `e_book_client_view_get_n_total()` contacts only those up to the total number of contacts are read. Asking for out of range contacts results in an error.

Finish the call by `e_book_client_view_dup_contacts_finish()` from the `cb`.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

This method completes asynchronously. Use `e_book_client_view_dup_contacts_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`range_start`

  Type: `guint`

  0-based range start to retrieve the contacts for.

`range_length`

  Type: `guint`

  How many contacts to retrieve.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cb`

  Type: `GAsyncReadyCallback`

  A callback to call when the contacts are received.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for `cb`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.